Index: uspace/drv/bus/usb/usbhub/usbhub.c
===================================================================
--- uspace/drv/bus/usb/usbhub/usbhub.c	(revision 01d9707def50a27e9dac22665ae9b52e4e869ffa)
+++ uspace/drv/bus/usb/usbhub/usbhub.c	(revision 9ff99e84ceb43ab4c2a41ccfce682c462117c5cf)
@@ -117,5 +117,5 @@
 	    usb_device_data_alloc(usb_dev, sizeof(usb_hub_dev_t));
 	if (hub_dev == NULL) {
-		usb_log_error("Failed to create hub driver structure.\n");
+		usb_log_error("Failed to create hub driver structure.");
 		return ENOMEM;
 	}
@@ -129,5 +129,5 @@
 	int opResult = usb_set_first_configuration(usb_dev);
 	if (opResult != EOK) {
-		usb_log_error("Could not set hub configuration: %s\n",
+		usb_log_error("Could not set hub configuration: %s",
 		    str_error(opResult));
 		return opResult;
@@ -137,5 +137,5 @@
 	opResult = usb_hub_process_hub_specific_info(hub_dev);
 	if (opResult != EOK) {
-		usb_log_error("Could process hub specific info, %s\n",
+		usb_log_error("Could process hub specific info, %s",
 		    str_error(opResult));
 		return opResult;
@@ -143,9 +143,9 @@
 
 	/* Create hub control function. */
-	usb_log_debug("Creating DDF function '" HUB_FNC_NAME "'.\n");
+	usb_log_debug("Creating DDF function '" HUB_FNC_NAME "'.");
 	hub_dev->hub_fun = usb_device_ddf_fun_create(hub_dev->usb_device,
 	    fun_exposed, HUB_FNC_NAME);
 	if (hub_dev->hub_fun == NULL) {
-		usb_log_error("Failed to create hub function.\n");
+		usb_log_error("Failed to create hub function.");
 		return ENOMEM;
 	}
@@ -154,5 +154,5 @@
 	opResult = ddf_fun_bind(hub_dev->hub_fun);
 	if (opResult != EOK) {
-		usb_log_error("Failed to bind hub function: %s.\n",
+		usb_log_error("Failed to bind hub function: %s.",
 		   str_error(opResult));
 		ddf_fun_destroy(hub_dev->hub_fun);
@@ -167,5 +167,5 @@
 		ddf_fun_unbind(hub_dev->hub_fun);
 		ddf_fun_destroy(hub_dev->hub_fun);
-		usb_log_error("Failed to initialize polling fibril: %s.\n",
+		usb_log_error("Failed to initialize polling fibril: %s.",
 		    str_error(opResult));
 		return opResult;
@@ -189,5 +189,5 @@
 		ddf_fun_unbind(hub_dev->hub_fun);
 		ddf_fun_destroy(hub_dev->hub_fun);
-		usb_log_error("Failed to create polling fibril: %s.\n",
+		usb_log_error("Failed to create polling fibril: %s.",
 		    str_error(opResult));
 		return opResult;
@@ -195,5 +195,5 @@
 
 	hub_dev->running = true;
-	usb_log_info("Controlling hub '%s' (%p: %zu ports).\n",
+	usb_log_info("Controlling hub '%s' (%p: %zu ports).",
 	    usb_device_get_name(hub_dev->usb_device), hub_dev,
 	    hub_dev->port_count);
@@ -335,10 +335,10 @@
 	    sizeof(usb_hub_descriptor_header_t), &received_size);
 	if (opResult != EOK) {
-		usb_log_error("(%p): Failed to receive hub descriptor: %s.\n",
+		usb_log_error("(%p): Failed to receive hub descriptor: %s.",
 		    hub_dev, str_error(opResult));
 		return opResult;
 	}
 
-	usb_log_debug("(%p): Setting port count to %d.\n", hub_dev,
+	usb_log_debug("(%p): Setting port count to %d.", hub_dev,
 	    descriptor.port_count);
 	hub_dev->port_count = descriptor.port_count;
@@ -365,5 +365,5 @@
 	}
 
-	usb_log_info("(%p): Hub port power switching enabled (%s).\n", hub_dev,
+	usb_log_info("(%p): Hub port power switching enabled (%s).", hub_dev,
 	    hub_dev->per_port_power ? "per port" : "ganged");
 
@@ -374,5 +374,5 @@
 
 		if (ret != EOK) {
-			usb_log_error("(%p-%u): Cannot power on port: %s.\n",
+			usb_log_error("(%p-%u): Cannot power on port: %s.",
 			    hub_dev, hub_dev->ports[port].port_number,
 			    str_error(ret));
@@ -402,8 +402,8 @@
 	const size_t configuration_count =
 	    usb_device_descriptors(usb_device)->device.configuration_count;
-	usb_log_debug("Hub has %zu configurations.\n", configuration_count);
+	usb_log_debug("Hub has %zu configurations.", configuration_count);
 
 	if (configuration_count < 1) {
-		usb_log_error("There are no configurations available\n");
+		usb_log_error("There are no configurations available");
 		return EINVAL;
 	}
@@ -426,8 +426,8 @@
 	    config_descriptor->configuration_number);
 	if (opResult != EOK) {
-		usb_log_error("Failed to set hub configuration: %s.\n",
+		usb_log_error("Failed to set hub configuration: %s.",
 		    str_error(opResult));
 	} else {
-		usb_log_debug("\tUsed configuration %d\n",
+		usb_log_debug("\tUsed configuration %d",
 		    config_descriptor->configuration_number);
 	}
